37
Résultats de validation

CrazyBlog

CrazyBlog

WordPress 5.4.2 theme
37
  • TYPE DE THèMEThème WordPress %s 5.4.2
  • NOM DU FICHIERthemeforest-13233324-crazyblog-start-a-blog-or-magazine-for-adsense-or-affiliate-business-wordpress-theme.zip
  • TAILLE DU FICHIER14014137 octets
  • MD5ddd64a3c4925f47e6b39fbf4c9ee56ca
  • SHA19fbf1f46f1457368fe73f6b18d2ed7249a108fda
  • LICENCEGNU GPL 2
  • FICHIERS INCLUSCSS, PHP, XML, Bitmap images, Adobe Illustrator
  • URI DU THèME URIhttp://themes.webinane.com/wp/crazy-blog
  • VERSION2.1.1
  • TAGSone-column, two-columns, right-sidebar, accessibility-ready, custom-background, custom-colors, custom-header, custom-menu, editor-style, featured-images, flexible-header, microformats, post-formats, rtl-language-support, sticky-post, threaded-comments, tra
  • DATE DE CRéATION2020-04-25
  • DERNIèRE MISE à JOUR DU FICHIER2020-04-25
  • DERNIèRE VALIDATION2020-04-25 20:00
Ce thème n'est peut être pas libre. Themecheck ne distribue pas de thèmes commerciaux.
Alertes critiques
  1. Présence d'iframes : Les iframes sont parfois utilisées pour charger du contenu non désirés ou du code malicieux sur des sites tiers <iframe src="<?php echo esc_url( crazyblog_set( $recipeMeta, 'crazyblog_recipe_video' ) ) ?> trouvé dans le fichier featured_recipe.php. 56: <iframe src='<?php echo esc_url( crazyblog_set( $recipeMeta, 'crazyblog_rec<iframe src="<?php echo esc_url( crazyblog_set( $meta_opt, 'crazyblog_post_video_link' ) ); ?> trouvé dans le fichier format-video.php. 17: <iframe src='<?php echo esc_url( crazyblog_set( $meta_opt, 'crazyblog_post_<iframe class="iframe-width" height="450" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/' . crazyblog_set( $meta_opt, 'crazyblog_post_audio_link' ) . '&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"> trouvé dans le fichier format-audio.php. 26: <?php echo '<iframe class='iframe-width' height='450' src='https://w.soundcloud.com/pla
  2. Code malveillant : Opérations sur système de fichiers file_put_contents trouvé dans le fichier envato_setup.php. 880: //file_put_contents( $zipfile, $body );
  3. Inclusion de plugin : Présence de fichier zip Les plugins ne sont pas autorisés dans les thèmes. Le fichier zip layerslider.zip crazyblog-custom-plugin.zip a été trouvé.
Attention
  1. Script de core désabonné : Désabonnement d'un script de coreAppel à wp_deregister_script dans woocommerce.php. Les thèmes ne doivent appeler wp_deregister_script sur des scripts du core. 41: //wp_deregister_script( 'select2' );
  2. Text domain : Utilisation incorrecte des fonctions de traduction.Une fonction de traduction utilisée sans text-domain. Fonction esc_html__, avec les arguments 'Style' dans le fichier envato_setup.php.Une fonction de traduction utilisée sans text-domain. Fonction esc_html__, avec les arguments 'Enter the News Heading' dans le fichier news_ticker.php.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont crazyblog, lifeline2, bitco, samaan, eternity, flaky.
  3. Screenshot : Copie d'écranLa taille du screenshot est 880x660px. La taille recommandée est 1200x900, pour prendre en compte les affichages HiDPI. Bien qu'une résolution de 1200x900 soit recommandée, toutes les images au format 4:3 sont acceptables.Mauvaise extension de fichier screenshot ! Le fichier screenshot.png n'est pas un véritable fichier JPG. Le type détecté est : "image/png".
Info
  1. tags du thème : Présence de tags inconnusLes thèmes qui utilisent le tag accessibility-ready doivent concoder avec les règles de la revue d'accessibilité.
    Voir https://make.wordpress.org/themes/handbook/review/accessibility/
  2. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  3. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  4. Fichiers optionnels : Présence du fichier-template de page d'accueil home.phpCe thème ne contient pas le fichier optionnel home.php.
  5. Fichiers optionnels : Présence du fichier-template des pièces jointes attachment.phpCe thème ne contient pas le fichier optionnel attachment.php.
  6. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : envato_setup.php 654: include( 'envato-setup-export.php' );736: require_once( ABSPATH . 'wp-admin/includes/file.php' );844: require_once( ABSPATH . 'wp-admin/includes/file.php' );2156: require_once( ABSPATH . 'wp-admin/includes/file.php' );2181: require_once( ABSPATH . 'wp-admin/includes/file.php' );3229: require_once(ABSPATH . '/wp-admin/includes/file.php');3467: require_once(ABSPATH . '/wp-admin/includes/file.php');3476: include_once( ABSPATH . 'wp-content/plugins/crazyblog-custom-plugin/wordpre Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : bootstrap.php 9: require_once 'constant.php';14: require_once 'autoload.php'; Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : taxonomy.php 18: require_once 'classes/taxonomy.php'; Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : panel.php 9: require_once( crazyblog_ROOT . 'core/duffers_panel/panel/bootstrap.php' );10: include_once( crazyblog_ROOT . 'core/duffers_panel/extend/loader.php' );11: require_once( crazyblog_ROOT . 'core/duffers_panel/panel/admin/data_sources12: require_once( crazyblog_ROOT . 'core/application/library/vp_options.php' ); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : helpers.php 274: require_once(ABSPATH . 'wp-admin/includes/upgrade.php'); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : forms.php 310: include(ABSPATH . 'wp-includes/class-phpmailer.php'); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : import_export.php 16: require_once(ABSPATH . '/wp-admin/includes/file.php'); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : vp_options.php 92: require_once( crazyblog_ROOT . 'core/application/library/vp_options/' . $fi Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : widgets.php 41: require_once( $path ); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : metabox.php 25: require_once( crazyblog_ROOT . 'core/duffers_panel/panel/bootstrap.php' );26: include_once( crazyblog_ROOT . 'core/duffers_panel/extend/loader.php' );27: require_once( crazyblog_ROOT . 'core/duffers_panel/panel/admin/data_sources Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : init.php 27: include(ABSPATH . 'wp-admin/includes/nav-menu.php'); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
Other checked themes